Merge branch 'stable-3.1'

* stable-3.1:
  Make secrets generation idempotent
  Allow passing secrets prefix as an argument
  Do not update all packages on CentOS
  Do not install replication keys if setup not needed
  Add logic to control replication setup
  Use generic container.javaHome value
  Add SSH keys to AWS Secret Manager

Change-Id: I7eaa95aabb27e0a0e1181e5ebe72c54167fc8196
diff --git a/gerrit/Dockerfile b/gerrit/Dockerfile
index 3512857..a20c8b0 100644
--- a/gerrit/Dockerfile
+++ b/gerrit/Dockerfile
@@ -1,9 +1,8 @@
-FROM gerritcodereview/gerrit:3.1.4-centos7
+FROM gerritcodereview/gerrit:3.2.0-rc2-centos8
 
 USER root
 
-RUN yum install -y https://centos7.iuscommunity.org/ius-release.rpm \
-    && yum install -y python36u python36u-libs python36u-devel python36u-pip
+RUN  yum install -y python36 python3-libs python36-devel python3-pip
 
 COPY --chown=gerrit:gerrit ssh-config /var/gerrit/.ssh/config
 
diff --git a/gerrit/Makefile b/gerrit/Makefile
index 6b493ea..8440236 100644
--- a/gerrit/Makefile
+++ b/gerrit/Makefile
@@ -1,6 +1,6 @@
 include ../$(RECIPE)/setup.env
 
-GERRIT_BRANCH=stable-3.0
+GERRIT_BRANCH=stable-3.2
 GERRIT_CI=https://gerrit-ci.gerritforge.com/view/Plugins-$(GERRIT_BRANCH)/job
 LAST_BUILD=lastSuccessfulBuild/artifact/bazel-bin/plugins
 
@@ -17,7 +17,7 @@
 	|| { echo >&2 "Cannot download metrics-reporter-prometheus plugin: Check internet connection. Aborting"; exit 1; }
 
 	@echo "Downloading javamelody plugin $(GERRIT_BRANCH)"
-	wget $(GERRIT_CI)/plugin-javamelody-bazel-$(GERRIT_BRANCH)/$(LAST_BUILD)/javamelody/javamelody.jar \
+	wget $(GERRIT_CI)/plugin-javamelody-bazel-master-$(GERRIT_BRANCH)/$(LAST_BUILD)/javamelody/javamelody.jar \
 	-O ./plugins/javamelody.jar \
 	|| { echo >&2 "Cannot download javamelody plugin: Check internet connection. Aborting"; exit 1; }